; _Ps Codice

; Include "HJConst.JSH"; file costanti predefinito di Jaws
Include "_PsConst.JSH"; File personale delle costanti
Include "_PsGlobals.JSH"; file personale delle variabili globali
Include "_PsMessages.JSM"; File personale dei messaggi

Script ProprietaFileCartelle ()
Var
int iAttesa, ; decimi di secondo per la sospensione
String sLettura1, ; prima lettura del dato
String sLettura2, ;seconda lettura del dato
Int i; contatore del ciclo
Let iAttesa = 5; imposta i decimi di intervallo tra una lettura e l'altra
SayMessage (OT_ERROR, msgAttesa); legge un messaggio di attesa
SpeechOff (); spegne la sintesi
SaveCursor (); salva tipo e posizione del cursore attivo
TypeKey (SHIFT_F10); attiva il menu contestuale
PriorLine (); sale di una riga
EnterKey (); simula la pressione di Invio
; sospende il flusso per il tempo indicato, disattivando alcune funzioni di lettura automatica
Delay (SECONDO, TRUE)
InvisibleCursor (); passa al cursore Invisibile
RouteInvisibleToPc (); porta il cursore Invisibile alla posizione di quello PC
; cerca un dato relativo alle unit disco, lo spazio utilizzato
If FindString (GetCurrentWindow (), msgUtilizzato, S_TOP, S_UNRESTRICTED ) Then
SpeechOn (); se lo trova, riattiva la sintesi,
SayLine (); e legge il dato rilevato
; qui cerca un termine per il dato sullo spazio disponibile
If FindString (GetFocus (), msgDisponibile, S_TOP, S_UNRESTRICTED ) Then
SayLine (); se lo trova, legge il dato rilevato
; qui cerca il dato sulla capacit dell'unit disco
If FindString (GetFocus (), msgCapacita, S_TOP, S_UNRESTRICTED ) Then
SayLine (); se lo trova, legge il dato rilevato,
EscapeKey (); poi simula la pressione del tasto Esc per uscire dalla schermata,
RestoreCursor (); e ripristina il cursore salvato
Return; solo se  stata rilevata la capacit dell'unit disco, interrompe lo script
EndIf; fine del terzo controllo, quello sulla capacit
EndIf; fine del secondo controllo, quello sullo spazio disponibile
EndIf; fine del primo controllo, quello sullo spazio utilizzato

; inizia la seconda serie di controlli, cercando le dimensioni di file e cartelle
If FindString (GetCurrentWindow (), msgDimens, S_TOP, S_UNRESTRICTED ) Then;se le trova,

; avvia un ciclo che continua se la prima lettura  vuota oppure se i due dati restano diversi
While !sLettura1 || sLettura1 != sLettura2
Let i = i + 1; aggiorna il contatore
Let sLettura1 = GetLine (); aggiorna la prima lettura
; sospende il flusso per il tempo indicato, disattivando alcune funzioni di lettura automatica
Delay (iAttesa, TRUE)
Let sLettura2 = GetLine (); aggiorna la seconda lettura
; se i decimi impostati, moltiplicati per le ripetizioni, superano il valore massimo,
If (iAttesa * i) > MAX_DECIMI Then
Let sLettura1 = GetLine (); unifica la prima lettura alla seconda, causando l'uscita dal ciclo
EndIf; fine controllo decimi trascorsi
EndWhile; fine del ciclo

SpeechOn ();riattiva la sintesi,
SayLine (); e legge il dato definitivo
; qui verifica se si tratti di una cartella, cercando un dato sul contenuto
If FindString (GetCurrentWindow (), msgContenuto, S_TOP, S_UNRESTRICTED ) Then
SayLine (); se cos , legge il dato rilevato
; se non vi sono dati per cartelle, cerca la data di modifica per i file
ElIf FindString (GetCurrentWindow (), msgModifica, S_TOP, S_UNRESTRICTED ) Then
SayLine (); se la trova, legge il dato rilevato
EndIf; fine controllo presenza dato sul contenuto
Else; se invece non sono stati rilevati dei dati sulle dimensioni,
SpeechOn (); riattiva la sintesi,
SayMessage (OT_HELP, msgNoDimensioni, msgNoDimensioni_corto); e legge l'avviso
EndIf; fine controllo presenza dati
EscapeKey (); simula la pressione del tasto Esc per uscire dalla schermata,
RestoreCursor (); e ripristina il cursore salvato
EndScript

