; _Ps Codice

; Include "HJConst.JSH"; file costanti predefinito di Jaws
Include "_PsConst.JSH"; File personale delle costanti
Include "_PsGlobals.JSH"; file personale delle variabili globali
Include "_PsMessages.JSM"; File personale dei messaggi

Script SalvaConNome ()

SpeechOff (); spegne la sintesi
{Alt+F}; richiama il menu File
Pause (); sospende temporaneamente lo script
{S}; esegue il comando
SpeechOn (); riattiva la sintesi

EndScript

Script SostituisceTesto ()
TypeKey ("Shift+Control+S"); simula la pressione della scelta rapida originale
EndScript

Void Function ComandoTrova ()
TypeKey (SHIFT_CONTROL_T); attiva la finestra di ricerca testo
EndFunction

Int Function PosizioneCursore ()
Var
Int iStato, ; registra lo stato della sintesi
Int iPosiz; posizione nel documento

Let iStato = ControllaSintesi (); verifica l'attivazione della sintesi, casomai spegnendola
If GetDocumentPercentage () <= 50 Then; Se ci si trova nella prima met del documento,
SelectFromTop (); seleziona dal punto all'inizio del documento
Let iPosiz = StringLength (GetSelectedText ()); conta i caratteri selezionati
Else; se invece ci si trova dalla met in gi,
SelectToBottom (); seleziona dal punto sino a fine documento,
; e sottrae il numero dei caratteri selezionati a quello dei totali
Let iPosiz = GetCurrentDocumentLength () - StringLength (GetSelectedText ())
EndIf; fine controllo posizione
MoveToDocumentOffset (iPosiz); torna alla posizione originaria
ControllaSintesi (iStato); verifica se riattivare la sintesi, sulla base del valore impostato
Return iPosiz; restituisce la posizione rilevata
EndFunction

Script ChiudeFinestra ()
GestisceDato (SALVA, CHIUDE) ; salva la posizione simulando la chiusura del documento
PronunciaEsegue (ALT_F4, TRUE); forza l'invio dei tasti specificati, leggendo lo script attivo
EndScript

Int Function EsegueRicerca (string ByRef sTesto, string sOggetto)
Var
Int iStato, ; indica lo stato di attivazione della sintesi
Int iErrore; esito della ricerca

Let iStato = ControllaSintesi (); verifica se spegnere la sintesi vocale, salvandone l'esito
ComandoTrova (); attiva la finestra di ricerca testo
Pause ()
If sTesto Then; se un qualche testo  stato specificato,
TypeString (sTesto); lo immette nel campo di ricerca
Pause ();
Else; altrimenti,
Let sTesto = GetObjectValue (); trasmette per riferimento la stringa da cercare
EndIf; fine controllo testo
EnterKey ();
EscapeKey ()
Delay (ATTESA); ritarda il flusso per i decimi di secondo impostati
If GetObjectSubTypeCode () == CAMPO_MAIUSCOLE Then; se si resta nella finestra,
EscapeKey (); ne esce,
Pause ()
Let iErrore = TRUE; e imposta la conclusione anomala
EndIf; fine controllo esito
ControllaSintesi (iStato); verifica se riattivare la sintesi
If !iErrore Then; se non si sono verificate anomalie,
Return TRUE; restituisce l'esito positivo
Else; altrimenti,
Return FALSE; restituisce un risultato nullo
EndIf; fine controllo esito
EndFunction

